Favicon

You are here: Home > API Reference > UEM > Mdm Locations > Get list of mdmLocation

Get list of mdmLocation

Required Permission: mdm.global.location.list

Get list of mdmLocation

GET
/v1/organizations/:organizationId/mdm/locations//:type/:identifier
Copy to clipboard

Get list of mdmLocation

Required Permission: mdm.global.location.list

Get list of mdmLocation

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
type string
required
emmDeviceadmDevicewinDevice
identifier string
required
Match pattern: ^[a-fA-F0-9]{24}$
page integer
optional
Sequential page index for navigating large datasets, enabling systematic access to specific record subsets within the total collection.
limit integer
optional
Maximum number of records returned per request to control data density, optimize interface performance, and manage payload size
sort string
optional
Ordering criteria using a field-to-direction mapping to organize results based on specific attributes like creation date, name, or status.
Match pattern: ^[\w.]*((:asc)|(:desc))?$
dateIni string
optional
Format: date-time
dateEnd string
optional
Format: date-time
origin string
optional
agentip

Responses

200 Response application/json
status boolean optional
data object optional
items array [object] optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
type string optional
emmDevice admDevice winDevice
identifier string optional
Match pattern: ^[a-fA-F0-9]{24}$
date string optional
Format: date-time
latitude number optional
Format: float · ≥ -90 · ≤ 90
longitude number optional
Format: float · ≥ -180 · ≤ 180
address object optional
address string optional
≤ 500 characters
number string optional
≤ 500 characters
postalCode string optional
≤ 500 characters
city string optional
≤ 500 characters
country string optional
≤ 500 characters
updatedAt string optional
Format: date-time
createdAt string optional
Format: date-time
totalDocs integer optional
limit integer optional
hasPrevPage boolean optional
hasNextPage boolean optional
page integer optional
totalPages integer optional
prevPage integer optional
nextPage integer optional
lean boolean optional
{
    "status": true,
    "data": {
        "items": [
            {
                "id": "string",
                "type": "emmDevice",
                "identifier": "string",
                "date": "2024-01-01T00: 00:00Z",
                "latitude": 0,
                "longitude": 0,
                "address": {
                    "address": "string",
                    "number": "string",
                    "postalCode": "string",
                    "city": "string",
                    "country": "string"
                },
                "updatedAt": "2024-01-01T00: 00:00Z",
                "createdAt": "2024-01-01T00: 00:00Z"
            }
        ],
        "totalDocs": 0,
        "limit": 0,
        "hasPrevPage": true,
        "hasNextPage": true,
        "page": 0,
        "totalPages": 0,
        "prevPage": 0,
        "nextPage": 0,
        "lean": true
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}